MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002264VCMIMechanics - Objectspublic2015-10-01 20:392016-01-31 19:40
Reporteranoleyn 
Assigned Tovmarkovtsev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98d 
Target VersionFixed in Version0.98g 
Summary0002264: Learning Stone not propely showing gained experience points
DescriptionVisiting the Learning Stone with a hero, who has 'Learning' as one of his secondary skills does not show properly given experience. It always shows 1000 exp, though it should more like in OH3, ie. 1050 exp with 5% skill, 1100 exp with 10% skill etc. It applies to artifacts, which increase that skill as well. Example:

        "bonuses":
        [
            {
                "type": "SECONDARY_SKILL_PREMY",
                "subtype" : "skill.learning",
                "val" : 15,
                "valueType": "ADDITIVE_VALUE"
            }
        ]

To be precise - the experience given in fact is correct, it is only improperly displayed. I do not know if its because of the Stone specifically or not - winning a battle shows gained experience properly.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001989closedvmarkovtsev Stables not grade cavaliers in champions 
related to 0001916closedvmarkovtsev Water Wheel give 500 gold on week 2 (need 1000) 

-  Notes
(0006216)
SXX (administrator)
2015-12-24 18:48

Just like two related issues this one is current limitation of rewardable object handler and some code outside of it need to be changed in order for this to work as in H3.
(0006391)
vmarkovtsev (developer)
2016-01-31 07:20

https://github.com/vcmi/vcmi/pull/185 [^]
(0006392)
Warmonger (administrator)
2016-01-31 07:52
edited on: 2016-02-01 09:10

Another feature that got lost in refactoring. calculateXp() function was created just for that reason.


- Issue History
Date Modified Username Field Change
2015-10-01 20:39 anoleyn New Issue
2015-12-24 18:47 SXX Relationship added related to 0001989
2015-12-24 18:47 SXX Relationship added related to 0001916
2015-12-24 18:48 SXX Note Added: 0006216
2015-12-24 18:49 SXX Status new => acknowledged
2016-01-30 21:01 vmarkovtsev Assigned To => vmarkovtsev
2016-01-30 21:01 vmarkovtsev Status acknowledged => assigned
2016-01-31 07:20 vmarkovtsev Note Added: 0006391
2016-01-31 07:52 Warmonger Note Added: 0006392
2016-01-31 19:40 vmarkovtsev Status assigned => resolved
2016-01-31 19:40 vmarkovtsev Fixed in Version => 0.98g
2016-01-31 19:40 vmarkovtsev Resolution open => fixed
2016-02-01 09:10 Warmonger Note Edited: 0006392 View Revisions

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean